Index: logo.c
===================================================================
--- logo.c	(revision 18596)
+++ logo.c	(working copy)
@@ -734,7 +734,7 @@
 
     /* Hook used for callback variables */
     p_logo_list->psz_filename =
-        var_CreateGetString( p_filter->p_libvlc_global , "logo-file" );
+        var_CreateGetString( p_this , "logo-file" );
     if( !p_logo_list->psz_filename || !*p_logo_list->psz_filename )
     {
         msg_Err( p_this, "logo file not specified" );
@@ -743,22 +743,22 @@
         return VLC_EGENERIC;
     }
 
-    p_sys->posx = var_CreateGetInteger( p_filter->p_libvlc_global , "logo-x" );
-    p_sys->posy = var_CreateGetInteger( p_filter->p_libvlc_global , "logo-y" );
-    p_sys->pos = var_CreateGetInteger( p_filter->p_libvlc_global , "logo-position" );
+    p_sys->posx = var_CreateGetInteger( p_this , "logo-x" );
+    p_sys->posy = var_CreateGetInteger( p_this , "logo-y" );
+    p_sys->pos = var_CreateGetInteger( p_this , "logo-position" );
     p_logo_list->i_alpha = __MAX( __MIN( var_CreateGetInteger(
-                           p_filter->p_libvlc_global, "logo-transparency"), 255 ), 0 );
+                           p_this, "logo-transparency"), 255 ), 0 );
     p_logo_list->i_delay =
-                    var_CreateGetInteger( p_filter->p_libvlc_global , "logo-delay" );
+                    var_CreateGetInteger( p_this , "logo-delay" );
     p_logo_list->i_repeat =
-                    var_CreateGetInteger( p_filter->p_libvlc_global , "logo-repeat" );
+                    var_CreateGetInteger( p_this , "logo-repeat" );
 
-    var_AddCallback( p_filter->p_libvlc_global, "logo-file", LogoCallback, p_sys );
-    var_AddCallback( p_filter->p_libvlc_global, "logo-x", LogoCallback, p_sys );
-    var_AddCallback( p_filter->p_libvlc_global, "logo-y", LogoCallback, p_sys );
-    var_AddCallback( p_filter->p_libvlc_global, "logo-position", LogoCallback, p_sys );
-    var_AddCallback( p_filter->p_libvlc_global, "logo-transparency", LogoCallback, p_sys );
-    var_AddCallback( p_filter->p_libvlc_global, "logo-repeat", LogoCallback, p_sys );
+    var_AddCallback( p_this, "logo-file", LogoCallback, p_sys );
+    var_AddCallback( p_this, "logo-x", LogoCallback, p_sys );
+    var_AddCallback( p_this, "logo-y", LogoCallback, p_sys );
+    var_AddCallback( p_this, "logo-position", LogoCallback, p_sys );
+    var_AddCallback( p_this, "logo-transparency", LogoCallback, p_sys );
+    var_AddCallback( p_this, "logo-repeat", LogoCallback, p_sys );
 
     vlc_mutex_init( p_filter, &p_logo_list->lock );
     vlc_mutex_lock( &p_logo_list->lock );
@@ -790,13 +790,13 @@
     free( p_sys );
 
     /* Delete the logo variables from INPUT */
-    var_Destroy( p_filter->p_libvlc_global , "logo-file" );
-    var_Destroy( p_filter->p_libvlc_global , "logo-x" );
-    var_Destroy( p_filter->p_libvlc_global , "logo-y" );
-    var_Destroy( p_filter->p_libvlc_global , "logo-delay" );
-    var_Destroy( p_filter->p_libvlc_global , "logo-repeat" );
-    var_Destroy( p_filter->p_libvlc_global , "logo-position" );
-    var_Destroy( p_filter->p_libvlc_global , "logo-transparency" );
+    var_Destroy( p_this , "logo-file" );
+    var_Destroy( p_this , "logo-x" );
+    var_Destroy( p_this , "logo-y" );
+    var_Destroy( p_this , "logo-delay" );
+    var_Destroy( p_this , "logo-repeat" );
+    var_Destroy( p_this , "logo-position" );
+    var_Destroy( p_this , "logo-transparency" );
 }
 
 /*****************************************************************************
